%define pypi_name boolean.py

Name:           python-boolean-py
Version:        4.0
Release:        %mkrel 3
Summary:        Define boolean algebras, and create and parse boolean expressions
Group:          Development/Python
License:        BSD
URL:            https://github.com/bastikr/boolean.py
Source0:        %pypi_source
BuildArch:      noarch

%description
"boolean.py" is a small library implementing a boolean algebra. It defines
two base elements, TRUE and FALSE, and a Symbol class that can take on one of
these two values. Calculations are done in terms of AND, OR and NOT - other
compositions like XOR and NAND are not implemented but can be emulated with
AND or and NOT. Expressions are constructed from parsed strings or in Python.

%package -n     python3-boolean-py
Summary:        Define boolean algebras, and create and parse boolean expressions
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-boolean-py}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
Provides:       python3-boolean.py = %{version}-%{release}
Obsoletes:      python3-boolean.py < 4.0-3

%description -n python3-boolean-py
"boolean.py" is a small library implementing a boolean algebra. It defines
two base elements, TRUE and FALSE, and a Symbol class that can take on one of
these two values. Calculations are done in terms of AND, OR and NOT - other
compositions like XOR and NAND are not implemented but can be emulated with
AND or and NOT. Expressions are constructed from parsed strings or in Python.

Python 3 version.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

sphinx-build-%{python3_version} docs html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-boolean-py
%license LICENSE.txt
%doc CHANGELOG.rst README.rst html/
%{python3_sitelib}/boolean.py*.egg-info/
%{python3_sitelib}/boolean/


%changelog
* Tue Dec 06 2022 daviddavid <daviddavid> 4.0-3.mga9
+ Revision: 1918666
- fix obsoleted pkg name

* Tue Dec 06 2022 daviddavid <daviddavid> 4.0-2.mga9
+ Revision: 1918661
- rebuild with fixed name
- rename as python-boolean-py
- initial package python-boolean.py (needed for reuse)

